diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql
index 151ead41..a10200db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_schema.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION sslinfo;
 
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA public
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql
index 96c5bf40..eb160b99 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/alter_extension_version.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION citext;
 
-CREATE EXTENSION citext
+CREATE EXTENSION IF NOT EXISTS citext
     SCHEMA public
     VERSION "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql
index b7492944..93acdedf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_all_options.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION sslinfo;
 
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA test_extension_schema
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql
index aab2fa80..30f3adea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/create_extension_with_default_schema.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION citext;
 
-CREATE EXTENSION citext
+CREATE EXTENSION IF NOT EXISTS citext
     SCHEMA public
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
index 108c1e11..0a341809 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
@@ -1,3 +1,3 @@
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA test_extension_schema
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
index 97082266..a936f441 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
@@ -1,2 +1,2 @@
-CREATE EXTENSION citext
+CREATE EXTENSION IF NOT EXISTS citext
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql
index 151ead41..a10200db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/alter_extension_schema.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION sslinfo;
 
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA public
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql
index b7492944..93acdedf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/create_extension_with_all_options.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION sslinfo;
 
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA test_extension_schema
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
index 108c1e11..0a341809 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
@@ -1,3 +1,3 @@
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA test_extension_schema
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql
index 37c620c4..9b9baf3a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_schema.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION sslinfo;
 
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA public
     VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql
index 6d193fb8..21b3f601 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/alter_extension_version.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION adminpack;
 
-CREATE EXTENSION adminpack
+CREATE EXTENSION IF NOT EXISTS adminpack
     SCHEMA pg_catalog
     VERSION "1.1";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql
index fc8fc10a..2e34e9f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_all_options.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION sslinfo;
 
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA test_extension_schema
     VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql
index a9a61d41..a1fdfe82 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/create_extension_with_default_schema.sql
@@ -2,6 +2,6 @@
 
 -- DROP EXTENSION adminpack;
 
-CREATE EXTENSION adminpack
+CREATE EXTENSION IF NOT EXISTS adminpack
     SCHEMA pg_catalog
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
index 68217d76..d584542e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
@@ -1,3 +1,3 @@
-CREATE EXTENSION sslinfo
+CREATE EXTENSION IF NOT EXISTS sslinfo
     SCHEMA test_extension_schema
     VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
index 02c109f1..ed8cadf3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
@@ -1,2 +1,2 @@
-CREATE EXTENSION adminpack
+CREATE EXTENSION IF NOT EXISTS adminpack
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication.sql b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication.sql
index f7e10033..e22d11dc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication.sql
@@ -1,6 +1,6 @@
 -- Publication: alterd_publication
 
--- DROP PUBLICATION alterd_publication;
+-- DROP PUBLICATION IF EXISTS alterd_publication;
 
 CREATE PUBLICATION alterd_publication
     FOR ALL TABLES
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication_event.sql b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication_event.sql
index dc9016c0..e914afca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication_event.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/alter_publication_event.sql
@@ -1,6 +1,6 @@
 -- Publication: alterd_publication
 
--- DROP PUBLICATION alterd_publication;
+-- DROP PUBLICATION IF EXISTS alterd_publication;
 
 CREATE PUBLICATION alterd_publication
     FOR ALL TABLES
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/create_publication.sql b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/create_publication.sql
index ea47c867..b5d88dec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/create_publication.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/10_plus/create_publication.sql
@@ -1,6 +1,6 @@
 -- Publication: test_publication_create
 
--- DROP PUBLICATION test_publication_create;
+-- DROP PUBLICATION IF EXISTS test_publication_create;
 
 CREATE PUBLICATION test_publication_create
     FOR ALL TABLES
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication.sql b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication.sql
index 4f1defa5..90cd91e0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication.sql
@@ -1,6 +1,6 @@
 -- Publication: alterd_publication
 
--- DROP PUBLICATION alterd_publication;
+-- DROP PUBLICATION IF EXISTS alterd_publication;
 
 CREATE PUBLICATION alterd_publication
     FOR ALL TABLES
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication_event.sql b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication_event.sql
index a870d5c2..10b089fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication_event.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/alter_publication_event.sql
@@ -1,6 +1,6 @@
 -- Publication: alterd_publication
 
--- DROP PUBLICATION alterd_publication;
+-- DROP PUBLICATION IF EXISTS alterd_publication;
 
 CREATE PUBLICATION alterd_publication
     FOR ALL TABLES
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/create_publication.sql b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/create_publication.sql
index 26f29fc4..8c087442 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/create_publication.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/13_plus/create_publication.sql
@@ -1,6 +1,6 @@
 -- Publication: test_publication_create
 
--- DROP PUBLICATION test_publication_create;
+-- DROP PUBLICATION IF EXISTS test_publication_create;
 
 CREATE PUBLICATION test_publication_create
     FOR ALL TABLES
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql
index c1f9dace..1b6b0c8f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql
@@ -1,6 +1,6 @@
 -- Collation: Cl1_$%{}[]()&*^!@"'`\/#a;
 
--- DROP COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#a";
+-- DROP COLLATION IF EXISTS testschema."Cl1_$%{}[]()&*^!@""'`\/#a";
 
 CREATE COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#a"
     (LC_COLLATE = 'C', LC_CTYPE = 'C');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql
index 9d44cddc..8cd07121 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql
@@ -1,6 +1,6 @@
 -- Collation: Cl1_$%{}[]()&*^!@"'`\/#;
 
--- DROP COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#";
+-- DROP COLLATION IF EXISTS testschema."Cl1_$%{}[]()&*^!@""'`\/#";
 
 CREATE COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#"
     (LC_COLLATE = 'C', LC_CTYPE = 'C');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts.sql
index 3b0ee44d..9342f5f2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts_msql.sql
index 1160cd6b..44f29ca9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_cons_opts_msql.sql
@@ -1,8 +1,8 @@
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ADD CONSTRAINT cons1 CHECK (true) NO INHERIT;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (ADD schema_name 'public');
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (ADD table_name 'test_table');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_priv.sql
index 8526755e..4a049699 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_add_priv.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts.sql
index 28b17ffa..68b09303 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 integer NULL
 )
     SERVER test_fs_for_foreign_table
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts_msql.sql
index cdb8a27d..095712f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_col_opts_msql.sql
@@ -1,14 +1,14 @@
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     DROP COLUMN col2;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ALTER COLUMN col1 DROP NOT NULL;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ALTER COLUMN col1 TYPE integer;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ALTER COLUMN col1 SET STATISTICS -1;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (SET schema_name 'test_public');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns.sql
index 0725bb2d..5478d7cd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns_msql.sql
index 9041626b..50879691 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_comment_add_columns_msql.sql
@@ -1,7 +1,7 @@
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ADD COLUMN col1 bigint NULL;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ADD COLUMN col2 text NULL;
 
 COMMENT ON FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons.sql
index aeb1c8a4..309c4eff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 integer NULL
 )
     SERVER test_fs_for_foreign_table
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons_msql.sql
index 007e93bc..e2443562 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/alter_remove_opts_priv_cons_msql.sql
@@ -1,7 +1,7 @@
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     DROP CONSTRAINT cons1;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     OPTIONS ( DROP schema_name);
 
 REVOKE ALL ON TABLE public."FT1_$%{}[]()&*^!@""'`\/#" FROM PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options.sql
index dd9e71ca..a05eec23 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql
index 13494a79..de737918 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_add_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_add_priv.sql
index 03b77cd2..68c1605b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_add_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_add_priv.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default",
     col3 bigint NULL,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns.sql
index 4c0ce3e7..d4c5af24 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default",
     col3 bigint NULL,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns_msql.sql
index b1715635..9c068060 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/alter_comment_add_columns_msql.sql
@@ -1,7 +1,7 @@
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ADD COLUMN col3 bigint NULL;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ADD COLUMN col4 text NULL;
 
 COMMENT ON FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options.sql
index 7ace11fb..215640b8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql
index 20409f9b..a532ed22 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts.sql
index c101ee89..6730d3b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts_msql.sql
index 1160cd6b..44f29ca9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/alter_add_cons_opts_msql.sql
@@ -1,8 +1,8 @@
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     ADD CONSTRAINT cons1 CHECK (true) NO INHERIT;
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (ADD schema_name 'public');
 
-ALTER FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"
+ALTER FOREIGN TABLE IF EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (ADD table_name 'test_table');
